#!/usr/bin/env python3

# Author:
# Contact: grubert@users.sf.net
# Copyright: This module has been placed in the public domain.

"""
man.py
======

This module provides a simple command line interface that uses the
man page writer to output from ReStructuredText source.
"""


########################################################################
# Added by build_sphinx.sh
import os
import sys
import distutils.sysconfig
sys.path = [ os.path.join(os.environ["SPHINX_FQ_DIR"],
             l,
             "python{0}".format(distutils.sysconfig.get_python_version()),
             "site-packages") for l in ("lib64", "lib") ] + sys.path
########################################################################

import locale
try:
    locale.setlocale(locale.LC_ALL, '')
except:
    pass

from docutils.core import publish_cmdline, default_description
from docutils.writers import manpage

description = ("Generates plain unix manual documents.  " + default_description)

publish_cmdline(writer=manpage.Writer(), description=description)
