#!/usr/bin/env python3

# $Id: rstpep2html.py 4564 2006-05-21 20:44:42Z wiemann $
# Author: David Goodger <goodger@python.org>
# Copyright: This module has been placed in the public domain.

"""
A minimal front end to the Docutils Publisher, producing HTML from PEP
(Python Enhancement Proposal) documents.
"""


########################################################################
# Added by build_sphinx.sh
import os
import sys
import distutils.sysconfig
sys.path = [ os.path.join(os.environ["SPHINX_FQ_DIR"],
             l,
             "python{0}".format(distutils.sysconfig.get_python_version()),
             "site-packages") for l in ("lib64", "lib") ] + sys.path
########################################################################

try:
    import locale
    locale.setlocale(locale.LC_ALL, '')
except:
    pass

from docutils.core import publish_cmdline, default_description


description = ('Generates (X)HTML from reStructuredText-format PEP files.  '
               + default_description)

publish_cmdline(reader_name='pep', writer_name='pep_html',
                description=description)
